#include <vector>
#include <iostream>
#include "histogram.h"
#include "text.h"

using namespace std;

struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data(istream& inx)
{
    size_t number_count;
    cerr << "Enter number count: ";
    inx >> number_count;

    Input in;
    in.numbers.resize(number_count);

    vector<double> numbers(number_count);
    for (int i = 0; i < number_count; i++)
    {
        cerr << "Number[" << i << "]=";
        inx >> in.numbers[i];
    }

    cerr << "Enter bin count: ";
    inx >> in.bin_count;
    return in;
}

int main()
{
    auto in = input_data(cin);
    auto bins = make_histogram(in.numbers, in.bin_count);

    double min, max;

    double bin_size = (max - min) / in.bin_count;

    show_histogram_text(bins,in.bin_count, bin_size);

    return 0;
}
